BooleanClause (Lucene 10.5.0 core API)
Description: declaration: package: org.apache.lucene.search, record: BooleanClause

Package org.apache.lucene.search

# Record Class BooleanClause

java.lang.Object
java.lang.Record
org.apache.lucene.search.BooleanClause

public record BooleanClause(Query query, BooleanClause.Occur occur) extends Record
A clause in a BooleanQuery.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static enum`
  `BooleanClause.Occur`
  Specifies how clauses are to occur in matching documents.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BooleanClause(Query query, BooleanClause.Occur occur)`
  Constructs a BooleanClause.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `boolean`
  `isProhibited()`
  `boolean`
  `isRequired()`
  `boolean`
  `isScoring()`
  `BooleanClause.Occur`
  `occur()`
  Returns the value of the `occur` record component.
  `Query`
  `query()`
  Returns the value of the `query` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### BooleanClause

    public BooleanClause(Query query, BooleanClause.Occur occur)
    Constructs a BooleanClause.

- ## Method Details

  - ### isProhibited

    public boolean isProhibited()

  - ### isRequired

    public boolean isRequired()

  - ### isScoring

    public boolean isScoring()

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### query

    public Query query()
    Returns the value of the `query` record component.
    Returns:
      the value of the `query` record component

  - ### occur

    public BooleanClause.Occur occur()
    Returns the value of the `occur` record component.
    Returns:
      the value of the `occur` record component